Manjaro XFCE Edition
   1078

Глюки Network-managerа

Добрый день, ребяты!

Прошу помочь принять решение сносить мне этот нетворк манагер или нет.
После обновления с ядра 4.4.8 на 4.4.9 он начал глючить, выдает сообщение «Поддержка сети отключена», конкретно не дает включить «Управление сетью», не отображает корректные статусы подключения, при открытии страниц в браузере переодически выдается ошибка о том что сервер не найден. НО! Сеть на самом деле работает, есть возможность заходить в пункт «Изменить соединения» и там все настраивать (но почему то постоянно моргает — становится серым, затем нормальным и т.д., как будто постоянно отключается и включается), как и через консоль, если обновлять страницы повторно, они открываются. Перезапускать и переустанавливать я его пробовал, пробовал ставить пакеты для всех его отображений, а именно: gnome-keyring, xfce4-indicator-plugin, которые писали в мануалах арча, также стоят и пакеты gnome-icon-theme и xfce4-notifyd, да и сами пакеты манагера с апплетами. В настройках статусов везде стоит «true», но что самое забавное, если выставлять там «false», то он дает возможность включить «Управление сетью» и тот же WiFi, но после включения второго, пропадает значек и глюки продолжаются, хотя все работает. Если знаете как это можно вылечить, то буду признателен, или хотя бы скажите, что нельзя, снесу его нафиг, буду думать что ставить вместо него, пока смотрю в сторону wicd. Спасибо

12 комментариев

avatar
временное решение — откат до версии 1.0.2-1 при помощи утилиты downgrade
+1
avatar
manjaro KDE. Такая же ерунда, разрыв WI-FI каждые 2 секунды
0
avatar
Согласен с nickolas, откаты к более ранним версиям после обновления системы — это вполне нормальное, а иногда и единственное решение многих проблем.
0
avatar
Вроде, темку раскрыли в соседнем топике…
0
avatar
вот я и перенес сюда информацию оттуда как временное решение, на всякий случай указав рабочую версию пакета)

з.ы. просто я сначала создал эту тему, потом ту увидел)
0
avatar
новая версия 1.2.2-1, также как предыдущая 1.2.0-3 имеет те же проблемы, хотелось знать почему проблему так и не исправили при обновлении пакета, если это возможно, как и то, что планируется ли это делать вообще или можно спокойно удалять пакет из списка обновляемых навсегда?
Последний раз редактировалось
0
avatar
Да, тоже обновился и… снова откатываться пришлось.
0
avatar
0
avatar
оно то конечно хорошо, только вот что делать, если ipv6 все-таки будет нужен)

з.ы. пусть все-таки правят это дело
0
avatar
вроде починили все, теперь можно обновляться
0
avatar
опять сломалось все… какая-то странная хрень с этим пакетом, пару дней работал нормально, но что-то произошло…
0
avatar
с версии 1.2.2-2 все работает как надо, починили
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.